CyaSSL embedded SSL now available for MQX!

cancel
Showing results for 
Search instead for 
Did you mean: 

CyaSSL embedded SSL now available for MQX!

2,357 Views
chrisc
Contributor II

Hi!

yaSSL is happy to announce that the CyaSSL embedded SSL library now supports MQX/RTCS/MFS as well as the Kinetis MCU and H/W RNGA.  To supplement the port, we have also released several example CodeWarrior projects for CyaSSL. Please read the blog post on the subject for details: Security on Freescale Kinetis MQX with CyaSSL.

CyaSSL is dual licensed under both the GPLv2 and standard commercial license and has been optimized for use in resource constrained environments.  The most up-to-date code can be found in the CyaSSL GitHub repository, here: cyassl/cyassl · GitHub

When building CyaSSL for MQX, you'll need to uncomment the FREESCALE_MQX define found in <cyassl_root_dir>/cyassl/ctaocrypt/settings.h.  In addition to supporting MQX, CyaSSL supports a long list of platforms and is generally very easy to port to new environments as well.  Please let us know if you have any questions or feedback on our CyaSSL MQX port.  You can reply to this thread, or email us directly at info@yassl.com.

Best Regards,

Chris

2 Replies

643 Views
kalebhimes
Contributor I

Bringing up-to-date! wolfSSL (Formerly known as CyaSSL)

wolfSSL's embedded SSL library (TLS library) has supported MQX/RTCS/MFS as well as the Kinetis MCU and H/W RNGA since Nov 6, 2012 and continues to support it today.  To supplement the port, wolfSSL has also released several example CodeWarrior projects for wolfSSL. Please read the blog post on the subject for details:Security on Freescale Kinetis MQX with wolfSSL . wolfSSL also supports TLS 1.3 which is being adopted industry-wide much more rapidly than TLS 1.2, checkout wolfSSL for TLS v1.3 support today.

 

wolfSSL is dual licensed under both the GPLv2 and standard commercial license and has been optimized for use in resource constrained environments.  The most up-to-date code can be found in the wolfSSL GitHub repository, here: wolfssl/wolfssl · GitHub

 

When building wolfSSL for MQX, you'll need to uncomment the FREESCALE_MQX define found in <wolfssl_root_dir>/wolfssl/wolfcrypt/settings.h.  In addition to supporting MQX, wolfSSL supports a long list of platforms and is generally very easy to port to new environments as well.  Please let us know if you have any questions or feedback on our wolfSSL MQX port.  You can reply to this thread, or email us directly at info@wolfssl.com.

Other settings that can be uncommented in <wolfssl-root>/wolfssl/wolfcrypt/settings.h users might find helpful that have been added since the initial port back in 2012:

FREESCALE_MQX_4_0 - for Freescale Classic MQX version 4.0
FREESCALE_MQX - For Freescale Classic MQX/RTCS/MFS
FREESCALE_KSDK_MQX - for Freescale/NXP KSDK MQX/RTCS/MFS

0 Kudos

643 Views
butok
NXP Employee
NXP Employee

Finally, there is open-source alternative to NanoSSL.

I wish you good luck!

0 Kudos